package electrosphere.engine.threads;

/**
 * A thread with an associated label
 */
public class LabeledThread {

    /**
     * The label associated with the thread
     */
    public static enum ThreadLabel {
        NETWORKING_SERVER,
        NETWORKING_CLIENT,
        ASSET_LOADING,
        LOADING,
    }
    
    /**
     * The label
     */
    ThreadLabel label;

    /**
     * The actual thread
     */
    Thread thread;

    /**
     * Constructor
     * @param label
     * @param thread
     */
    public LabeledThread(ThreadLabel label, Thread thread){
        this.label = label;
        this.thread = thread;
    }

    /**
     * Gets the label
     * @return The label
     */
    public ThreadLabel getLabel(){
        return label;
    }

    /**
     * Gets the thread
     * @return The thread
     */
    public Thread getThread(){
        return thread;
    }

}
